Foreman - Bug #19542

The new notification box is not really useful.
05/15/2017 07:19 AM - Han Boetes
Pull request:

Description

¢ | can't clear notifications
¢ |f you click the three dots to see what it's all about the subbox is too small so you have to scroll down to find the word details
which sends you to the host page.

Related issues:
Related to Foreman - Feature #19192: Allow to mass mark notification group as... Closed 04/06/2017

History

#1 - 05/15/2017 07:21 AM - Dominic Cleal

- Category changed from Web Interface to Notifications
#2 - 05/15/2017 07:25 AM - Ohad Levy
Han Boetes wrote:
® | can't clear notifications
Notifications auto expire by default, you can mark them as read.
Do | understand you correctly that you want to "remove" them from the list?
e If you click the three dots to see what it's all about the subbox is too small so you have to scroll down to find the word details which sends

you to the host page.

Can you please add a screenshot? thanks!

#3 - 05/15/2017 08:11 AM - Han Boetes
- File screen.png added

| can't seem to mark them as read. The red dot stays. After a while the red dot disappears, but after clicking the notification icon it goes back to red.
Ah! | have to click the text, then the bold font changes to normal. That's not very intuitive.

Here is the screenshot.
#4 - 05/15/2017 09:06 AM - Ohad Levy
Han Boetes wrote:
| can't seem to mark them as read. The red dot stays. After a while the red dot disappears, but after clicking the notification icon it goes back to

red. Ah! | have to click the text, then the bold font changes to normal. That's not very intuitive.

I think this was partly fixed with #19192, how would you define the expect behavior you are looking for?

#5 - 05/15/2017 09:06 AM - Ohad Levy
https://projects.theforeman.org/issues/19192

- Related to Feature #19192: Allow to mass mark notification group as read added
#6 - 05/15/2017 11:19 AM - Han Boetes
Here are my suggestions:
* make the popup menu a bit bigger so everything fits
® add an item for ackknowlegde/mark read
e add an item for jump to host
This should all be possible on one line per message, without submenus. userfriendly guis make stuff obvious and easy to find.
#7 - 05/15/2017 03:10 PM - Roxanne Hoover
Han Boetes wrote:
Here are my suggestions:
e make the popup menu a bit bigger so everything fits
¢ add an item for ackknowlegde/mark read

® add an item for jump to host

This should all be possible on one line per message, without submenus. userfriendly guis make stuff obvious and easy to find.

Can the dropdown from the kebab appear outside of the notification drawer?
#8 - 05/15/2017 03:12 PM - Roxanne Hoover
Han Boetes wrote:
Here are my suggestions:
e make the popup menu a bit bigger so everything fits
e add an item for ackknowlegde/mark read

¢ add an item for jump to host

This should all be possible on one line per message, without submenus. userfriendly guis make stuff obvious and easy to find.

| was looking at the demo on the patternfly site, and the pane scrolls to make room for the drop down action (kebab)
#9 - 05/16/2017 07:23 AM - Ohad Levy

@Rox Rox what about the following statement? that is part of PF design afaiu?

Han Boetes wrote:

Ah! | have to click the text, then the bold font changes to normal. That's not very intuitive.

#10 - 05/16/2017 07:27 AM - Ohad Levy

- Assignee set to matan werbner
#11 - 05/16/2017 08:48 AM - matan werbner
Roxanne Hoover wrote:
Han Boetes wrote:
Here are my suggestions:
® make the popup menu a bit bigger so everything fits
¢ add an item for ackknowlegde/mark read

e add an item for jump to host

This should all be possible on one line per message, without submenus. userfriendly guis make stuff obvious and easy to find.

| was looking at the demo on the patternfly site, and the pane scrolls to make room for the drop down action (kebab)

This seems to re-create in patternfly website
https://projects.theforeman.org/users/18086

http://www.patternfly.org/pattern-library/communication/notification-drawer/#/code
opening the notifications drawer and clicking on the bottom kebab will show a scrollbar.

| am a bit puzzled by your screencap, as the design is supposed to look different. can i ask which browser you were using for it?

thanks

#12 - 05/16/2017 01:09 PM - Han Boetes

Sure, I'm using the latest Firefox ESR on linux. Tomorrow I'll have a look with a few other browsers.

#13 - 05/18/2017 04:23 AM - Han Boetes
- File 2017-05-18 10_19_39-Hosts.png added

Here is a screenshot from Windows running the latest Chrome.

#14 - 06/01/2021 08:57 AM - yifat makias

- Status changed from New to Resolved

The design has changed if this is still an issue let us know.

Files
